Retrieve all VICALs
Retrieves all VICALs available in the requested ecosystem.
This endpoint is intended for public consumption, and as such does not require authentication.
ecosystemId*stringThe UUID of the ecosystem
uuidlimit?numberRange size of returned list.
1 <= value <= 1000100cursor?stringStarting point for the list of entries.
VICALs retrieved
application/json- response
data?array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/vicals/public'{ "data": [ { "vicalIssueID": 1337, "date": "2024-07-28T23:01:13.000Z", "filename": "vical-2024-07-28-1722164473000.cbor", "isAutoPublished": false } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?
Create VICAL POST
Creates a Verified Issuer Certificate Authority List (VICAL) based on the policy of the requested ecosystem. Refer to VICAL to learn more about the [VICAL](https://learn.mattr.global/docs/digital-trust-service/vical-overview) purpose and data structure.
Retrieve specific VICAL GET
Retrieves a specific VICAL from the requested ecosystem by providing the VICAL version identifier. This endpoint is intended for public consumption, and as such does not require authentication.